Subject: Re: Comments on draft-ietf-webdav-quota-05.txt, Was: Fwd: I-D ACTION:draft-ietf-webdav-quota-05.txt

From: Brian Korver <[email-masked]>
Date: Mon, 7 Feb 2005 15:36:50 -0800

Julian,

Comments in-line...

On Jan 23, 2005, at 4:14 AM, Julian Reschke wrote:
> Hi,
>
> below is my updated issues list. In general, this draft is a real  
> improvement, and besides mainly editorial questions, the main issue  
> the working group should consider is whether the Quota spec should  
> handle disk limits (right now it does implicitly). I personally would  
> prefer if it either wouldn't do it at all, or do it explicitly  
> (through at least a different set of precondition names).
>
> Best regards, Julian
>
> - snip -
>
> Issues with draft-ietf-webdav-quota-05.txt
>
> Content
>
> 01-C03 quota vs disk space
> <http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/ 
> 0439.html>
> <http://lists.w3.org/Archives/Public/w3c-dist-auth/2003JanMar/ 
> 0460.html>
> <http://lists.w3.org/Archives/Public/w3c-dist-auth/2003OctDec/ 
> 0184.html>
> <http://lists.w3.org/Archives/Public/w3c-dist-auth/2003OctDec/ 
> 0193.html>
>
> The spec says that servers may expose physical disk limits as quota.
>
> a) This is incompatible with NFS from which we're borrowing the  
> semantics (it treats disk limits as a separate property, and so should  
> we)
>
> Update -04: this still appears in the text, but is less critical now  
> that authorability of the quota is gone. I'd still like to see the  
> working group make an explicit decision to keep this, because it's  
> IMHO clearly outside the scope of this spec (I'd prefer separate  
> properties).
>
>
> 04-C06, section 3, DAV:quota-available-bytes
>
>   "The DAV:quota-available-bytes property value is the value in octets
>    representing the amount of additional disk space beyond the current
>    allocation that can be allocated to this file or directory before
>    further allocations will be refused.  It is understood that this
>    space may be consumed by allocations to other files or directories."
>
> Replace "file or directory" by "resource". Note that neither "file" or  
> "directory" exist in WebDAV terminology. (same in section 4)

fixed in -05

>
>
> 04-C07, section 3, DAV:quota-available-bytes
>
> <http://greenbytes.de/tech/webdav/draft-ietf-webdav-quota 
> -05.html#rfc.section.3>
>
>   "Support for this property is REQUIRED on collections, and OPTIONAL  
> on
>    other resources.  A server SHOULD implement this property for each
>    resource that has the DAV:quota-used-bytes property."
>
> What's the motivation for the distinction? (same in section 4)
>
> Update -05: this is actually in contradiction to Section 3 which says:  
> " Implementing both DAV:quota-available-bytes and DAV:quota-used-bytes  
> on all resources is RECOMMENDED." (note OPTIONAL != RECOMMENDED). In  
> general, I think it would be wiser to have these requirements in a  
> single place (so the spec can't contradict itself), whatever they are.

Good catch.  Fixed in -06.

>
>
> 04-C11, section 7
>
>      "The total size of a collection, DAV:quota-used-bytes, is not
>       necessarily a sum of the DAV:getcontentlength properties for
>       resources stored in the collection."
>
> Actually, it won't be in most cases I'm aware of. Please either  
> rephrase it (so this doesn't sound like an edge case) or drop the  
> point.

Fixed in -05

>
>
> 05-C01, Section 4, last para
>
> <http://greenbytes.de/tech/webdav/draft-ietf-webdav-quota 
> -05.html#rfc.section.4.p.5>
>
> "Support for this property enhances the client experience, because  
> together with DAV:quota-available-bytes, the client has a chance of  
> managing its files to avoid running out of allocated storage space.  
> Clients may not be able to calculate the value as accurately on their  
> own, depending on how total space used is calculated by the server."
>
> I think this is fluff; if you want say something like that, move it  
> into the Introduction (where the motivation for the whole spec is  
> explained).

Sure, fixed in -06

>
>
> 05-C02, Section 4
>
> <http://greenbytes.de/tech/webdav/draft-ietf-webdav-quota 
> -05.html#rfc.section.4>
>
> I think this property is "computed" (as defined in RFC3253), and the  
> spec should say so.
>
>
>
>
> 05-E01, section 1.2
>
> <http://greenbytes.de/tech/webdav/draft-ietf-webdav-quota 
> -05.html#rfc.section.1.2>
>
> I'd move those parts that "import" terminology from RFC2518/3253 into  
> a separate subsection ("Terminology"), and also refer to the def of  
> "computed" property (I think we need that later).
>
>
> 05-E02, section 1.2
>
> <http://greenbytes.de/tech/webdav/draft-ietf-webdav-quota 
> -05.html#rfc.section.1.2>
>
> "In order to work best with repositories that support quotas, client  
> software should be able to determine and display the  
> DAV:quota-available-bytes on collections."
>
> That is a forward reference. Either add "(defined below in ...)", or  
> rewrite as:
>
> "In order to work best with repositories that support quotas, client  
> software should be able to determine and display the new live  
> properties defined below."

fixed in -06

>
>
> 05-E02, section 5
>
> <http://greenbytes.de/tech/webdav/draft-ietf-webdav-quota 
> -05.html#rfc.section.5>
>
> The artwork in the request is too wide for RFC publication and should  
> be re-indented (the response isn't too wide but should be re-indented  
> for consistency nevertheless).
>

Fixed in -06.  If it's still not to your liking, let me know how
and I'll change it.

>
> 05-E03, section 7
>
> <http://greenbytes.de/tech/webdav/draft-ietf-webdav-quota 
> -05.html#rfc.section.7>
>
> In the list, please make punctuation consistent.

Fixed in -06.

-brian
[email-masked]

---

From: Brian Korver <[email-masked]>
Date: Mon, 7 Feb 2005 15:40:01 -0800

[...]
> "computed" property (I think we need that later).
[...]

This document doesn't use the notion of "computed" properties.
Should it be importing the concept of "computed properties" from
DeltaV?  Julian says yes, but what about the rest of the group?

-brian
[email-masked]

---

From: Stefan Eissing <[email-masked]>
Date: Tue, 8 Feb 2005 09:29:20 +0100

> DeltaV?  Julian says yes, but what about the rest of the group?

+1, i think its good terminology and can be applied here as well.

---

From: Julian Reschke <[email-masked]>
Date: Thu, 10 Feb 2005 21:30:47 +0100

Brian Korver wrote:
> ...
>> rephrase it (so this doesn't sound like an edge case) or drop the  point.
> 
> 
> Fixed in -05

It's now saying

"The total size of a collection, DAV:quota-used-bytes, may not be a sum 
of the DAV:getcontentlength properties for resources stored in the 
collection."

...which isn't that different...

> ...

Seems to be fine now.

 > ...

Best regards, Julian

-- 
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

---

From: Brian Korver <[email-masked]>
Date: Thu, 10 Feb 2005 20:37:17 -0800

On Feb 10, 2005, at 12:30 PM, Julian Reschke wrote:
> "The total size of a collection, DAV:quota-used-bytes, may not be a 
> sum of the DAV:getcontentlength properties for resources stored in the 
> collection."
>

Ok, then what wording would you suggest?

>>> The artwork in the request is too wide for RFC publication and 
>>> should  be re-indented (the response isn't too wide but should be 
>>> re-indented  for consistency nevertheless).
>>>
-brian
[email-masked]

---

From: Julian Reschke <[email-masked]>
Date: Fri, 11 Feb 2005 09:30:46 +0100

> Ok, then what wording would you suggest?

Fact is:

- in many quota implementations, there will be connection whatsoever 
between both (because members do not count to the size of a collection),

- even if they do, usually the collection itself and metadata will use 
space that may be counted.

The easiest fix is not to say anything here.

Best regards, Julian